package com.citygis.base.boot.controller;

import com.alibaba.csp.sentinel.annotation.SentinelResource;
import com.citygis.base.boot.config.NacosConfigInfo;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.google.common.collect.Maps;
import lombok.Builder;
import lombok.Data;
import lombok.Getter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@RestController
@RefreshScope
public class EchoController {
    @Autowired
    private NacosConfigInfo configInfo;

    @GetMapping("/echo/{string}")
    @SentinelResource("echo")
    public String hello(@PathVariable String string) throws JsonProcessingException {
        ObjectMapper objectMapper = new ObjectMapper();
        String str = objectMapper.writeValueAsString(configInfo);
        return "Hello! I am Provider. info: " + str + string;
    }
}